安装Whl文件时提示 ....whl is not a valid wheel filename

技术_编程语言 专栏收录该内容
128 篇文章 0 订阅

解决方案01:

请问在报这个错时,是否同时提示了pip is too old,please upgrade xxxx,  

所以解决方案就是,升级pip:python -m pip install --upgrade pip 

很多时候都加过这个提示,但大多数情况我们都采用“自动忽略”的作法,因为很多情况不升级,并不会给导致问题。

这个问题还是提示了我们,不要轻易的ignore系统的suggestions,否则踩了暗坑就难以跳出来了

 

专门搜索了这条报错,提出用upgrade pip解决问题的帖子还未找到,说明,要么大家问题真不同,要么别人都是老老实实执行了suggestions,所以根本没遇到这个问题,

 

解决方案02:

这个错误的根本原因是pip的特定版本对文件名命名有特殊要求

比如:xxxxx-t10.02.27_24_xxxx-cp35-cp35m-linux_aarch64.whl
将其中t10.02改为:10.02(也就是去掉t),即可

 

相关链接:

安装Whl文件时提示 ... is not a valid wheel filename.:https://blog.csdn.net/LiKouSanYou/article/details/60875692  

mac中使用.whl安装模块时提示is not a supported wheel on this platform:https://bbs.csdn.net/topics/391980631?locationNum=12&fps=1  

 

  • 0
    点赞
  • 0
    评论
  • 0
    收藏
  • 一键三连
    一键三连
  • 扫一扫,分享海报

相关推荐
©️2020 CSDN 皮肤主题: 程序猿惹谁了 设计师:白松林 返回首页
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值